org.apache.commons.math.random

## Interface RandomVectorGenerator

All Known Implementing Classes:
  CorrelatedRandomVectorGenerator, UncorrelatedRandomVectorGenerator, UnitSphereRandomVectorGenerator

    public interface RandomVectorGenerator

This interface represents a random generator for whole vectors.

Since:
  1.2
Version:
  $Revision: 811786 $ $Date: 2009-09-06 11:36:08 +0200 (dim. 06 sept. 2009) $

### Method Summary

Methods
`double[]` `nextVector()` Generate a random vector.

### Method Detail

#### nextVector

    double[] nextVector()

Generate a random vector.

Returns:
  a random vector as an array of double.